# Card Registration

This endpoint requires request signing via `X-SIGNATURE`.

### Endpoint

| Environment | Method | URL                                                          |
| ----------- | ------ | ------------------------------------------------------------ |
| Development | POST   | <https://devo.finnet.co.id/snap/v2.0/registration-card-bind> |
| Production  | POST   | TBD                                                          |

### Header Request

<table><thead><tr><th width="79" data-type="number">No</th><th>Name</th><th>Type</th><th>Mandatory</th><th>Description</th></tr></thead><tbody><tr><td>1</td><td>X-SIGNATURE</td><td>string</td><td>M</td><td>Request signature. See <a href="/spaces/0e6BKtpYpb5u7FWksQC3/pages/UHH9dh2KliOLisy4rsw8">Signature</a>. Example: <code>{{signature}}</code>.</td></tr><tr><td>2</td><td>X-TIMESTAMP</td><td>string</td><td>M</td><td>Request timestamp. Example: <code>{{timestamp}}</code>.</td></tr><tr><td>3</td><td>X-PARTNER-ID</td><td>string</td><td>M</td><td>Partner identifier. Example: <code>{{partner_id}}</code>.</td></tr><tr><td>4</td><td>X-EXTERNAL-ID</td><td>string</td><td>M</td><td>External reference identifier. Example: <code>{{external-id}}</code>.</td></tr><tr><td>5</td><td>CHANNEL-ID</td><td>string</td><td>M</td><td>Channel identifier. Example: <code>drdbt</code>.</td></tr><tr><td>6</td><td>clientSecret</td><td>string</td><td>M</td><td>Client secret provided by Finnet. Example: <code>{{client_secret}}</code>.</td></tr><tr><td>7</td><td>test</td><td>string</td><td>O</td><td>Optional testing flag. Example: <code>true</code>.</td></tr><tr><td>8</td><td>ivEncrypt</td><td>string</td><td>O</td><td>Optional encryption IV. Example: <code>PnyFUqFvf7ooGIc2</code>.</td></tr><tr><td>9</td><td>encryptKey</td><td>string</td><td>O</td><td>Optional encryption key. Example: <code>5ca3b0a34d3b313e10164081ff1b6492</code>.</td></tr><tr><td>10</td><td>enkripType</td><td>string</td><td>O</td><td>Optional encryption type. Example: <code>default</code>.</td></tr></tbody></table>

### Body Request

Content-Type: `application/json`

<table><thead><tr><th width="79" data-type="number">No</th><th>Name</th><th>Type</th><th>Mandatory</th><th>Description</th></tr></thead><tbody><tr><td>1</td><td>cardData</td><td>string</td><td>M</td><td>Encrypted/encoded card payload.</td></tr><tr><td>2</td><td>custIdMerchant</td><td>string</td><td>M</td><td>Customer identifier on merchant side.</td></tr><tr><td>3</td><td>phoneNo</td><td>string</td><td>M</td><td>Customer phone number. Example: <code>628133560008</code>.</td></tr></tbody></table>

#### Sample Request

```json
{
  "cardData": "f3b98e7d33cb526565901af177d5cb8458881bc20339466eba8523c6ef67a0623b2c51083ce6a92aefb87abab5d39b11cde83620fc3786aa24c8a24fd853ab92d1dff5209eaaeb729d1b361456603c87df705dca2ad119d55c1bdab0bcd13978a5f7049b46f9698ecfa61d2ade8d344f",
  "custIdMerchant": "671253671524",
  "phoneNo": "628133560008"
}
```

### Response

#### `200 OK`

Returns `application/json`.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.finpay.id/api-reference/finpay-pg/core-api/direct-debit/mandiri/card-registration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
